﻿using System;
using System.Collections.Generic;

namespace GxPress.Result.Media
{
    public class MediaResult
    {
        /// <summary>
        /// 
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 媒体类型
        /// Article=1,
        //书籍
        //Book = 2,
        ////课程
        //Curriculum = 3,
        ////音频
        //Audio = 4,
        ////期刊
        //Journal = 5,
        ////视频
        //Video=6
        /// </summary>

        public int MediaType { get; set; }
        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>

        public string ImageUrls { get; set; }

        /// <summary>
        /// 简介
        /// </summary>

        public string Summary { get; set; }

        /// <summary>
        /// 作者
        /// </summary>

        public string Author { get; set; }
        /// <summary>
        /// 名师ID
        /// </summary>
        /// <value></value>
        public int TeacherId { get; set; }
        /// <summary>
        /// 来源
        /// </summary>

        public string Source { get; set; }

        /// <summary>
        /// Json内容
        /// </summary>
        public string Blocks { get; set; }

        /// <summary>
        /// 审核状态
        /// </summary>

        public bool IsChecked { get; set; }

        /// <summary>
        /// 添加时间
        /// </summary>

        public DateTime AddDate { get; set; }
        /// <summary>
        /// 排序
        /// </summary>

        public int Sort { get; set; }
        /// <summary>
        /// 文章阅读量
        /// </summary>

        public int ReadCount { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>

        public bool IsTop { get; set; }
        /// <summary>
        /// 分类ID
        /// </summary>

        public int CategoryId { get; set; }
        /// <summary>
        /// 标签ID
        /// </summary>

        public int LableId { get; set; }
        /// <summary>
        /// 是否推荐
        /// </summary>

        public bool IsRecommend { get; set; }
        /// <summary>
        /// 出版社
        /// </summary>

        public string Press { get; set; }
        /// <summary>
        /// 出版时间
        /// </summary>

        public string PublishTime { get; set; }

        /// <summary>
        /// 媒体类
        /// </summary>
        public List<MediaLibraryResult> MediaLibraryRequest { get; set; }

        /// <summary>
        ///  操作人ID
        /// </summary>
        /// <value></value>
        public int AdminId { get; set; }

        /// <summary>
        /// 操作人
        /// </summary>
        /// <value></value>
        public string Creator { get; set; }

    }
    /// <summary>
    /// 
    /// </summary>
    public class MediaLibraryResult
    {
        /// <summary>
        /// 媒体ID
        /// </summary>
        /// <value></value>
        public int MediaId { get; set; }
        /// <summary>
        /// 文件路径
        /// </summary>
        public string FileUrl { get; set; }
        /// <summary>
        /// 文件名称
        /// </summary>

        public string Name { get; set; }
        /// <summary>
        /// 排序
        /// </summary>

        public int Sort { get; set; }


    }
}
